/*
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  liuyi <liuyi@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#ifndef _LIBNETSPEED_H_
#define _LIBNETSPEED_H_

#ifdef __cplusplus
extern "C" {
#endif

enum {
	UPSTREAM = 1,
	DOWNSTREAM,
	ALLSTREAM
};

/*
 * 功能：限制网卡速度
 * 参数：
 *		nic:网卡名称
 *		netmode:网络模式，只能配置为上行（1），下行（2）或上下行（3）
 *		speed:网速，单位为KByte/s
 *
 * 返回值：成功返回0，失败返回-1
 */
int kysec_nic_speedctl(char *nic, int netmode, long speed);

/*
 * 功能：解除网卡速度限制
 * 参数：
 * 		nic:网卡名称
 * 		netmode:网络模式，只能配置为上行（1），下行（2）或上下行（3）
 * 返回值：成功返回0，失败返回-1
 */
int kysec_nic_speedclr(char *nic, int netmode);

#ifdef __cplusplus
}
#endif

#endif
